%ifndef release_tag
%define release_tag M0
%endif

Name: xpm
Version: 3.4k
Release: alt2.%release_tag.2
Serial: 1
%define LIBVER 4.11

Summary: A pixmap library for the X Window System
License: MIT
Group: System/Libraries

Source0: ftp://ftp.x.org/contrib/libraries/%name-%version.tar.bz2
Source1: ftp://ftp.x.org/contrib/libraries/%name-doc-A4.PS.bz2
Source2: ftp://ftp.x.org/contrib/libraries/%name-tutorial.PS.bz2
Source3: ftp://ftp.x.org/contrib/libraries/%name-FAQ.html
Source4: ftp://ftp.x.org/contrib/libraries/%name-README.html
Source5: ftp://ftp.x.org/contrib/libraries/%{name}_examples.tar.bz2

Patch1: xpm-3.4k-up-fixes.patch
Patch2: xpm-3.4k-alt-fixes.patch
Patch3: xpm-3.4k-obsd-fixes.patch
Patch4: xpm-3.4k-suse-obsd-fixes-try8.patch
Patch5: xpm-3.4k-up-CAN-2005-0605.patch

Patch11: xpm-3.4k-alt-cxpm-makefile.patch
Patch12: xpm-3.4k-alt-makefile.patch

# Automatically added by buildreq on Thu Sep 02 2004
BuildRequires: XFree86-devel

%def_enable Werror
%def_disable static

%description
This package contains the XPM pixmap library for the X Window System.
The XPM library allows applications to display color, pixmapped images,
and is used by many popular X programs.

%package devel
Summary: Tools for developing applications which will use the XPM pixmap library
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains the development libraries and header files
necessary for developing applications which will use the XPM library.
The XPM library is used by many programs for displaying pixmaps in the
X Window System.

%package devel-static
Summary: Static libraries for the %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains the static libraries and header files necessary for
developing statically linked applications which will use the XPM library.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%patch11 -p1
%{?_disable_static:%patch12 -p1}

install -pm644 %SOURCE1 %SOURCE2 %SOURCE3 %SOURCE4 %SOURCE5 doc/
find -type f -print0 |
	xargs -r0 grep -Zl 'INCLUDES *= *-I\.' |
	xargs -r0 subst -p 's,\(INCLUDES *= *\)-I\.\+,\1-I'"$PWD/exports/include," --

%build
xmkmf
make Makefiles
mkdir -p exports/include/X11
install -pm644 lib/*.h exports/include/X11/
make CDEBUGFLAGS="$RPM_OPT_FLAGS" LDPRELIBS=
bzip2 -9fk CHANGES

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT
ln -sf libXpm.so.%LIBVER $RPM_BUILD_ROOT%_x11libdir/libXpm.so

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_x11dir/lib/*.so.*

%files devel
%_x11bindir/*
%_x11libdir/*.so
%_x11includedir/X11/*
%doc CHANGES.* doc/*-*

%if_enabled static
%files devel-static
%_x11libdir/*.a
%endif

%changelog
* Mon Mar 28 2005 Dmitry V. Levin <ldv@altlinux.org> 1:3.4k-alt2.%release_tag.2
- Fixed potential integer overflow (CAN-2005-0605).

* Tue Dec 14 2004 Dmitry V. Levin <ldv@altlinux.org> 1:3.4k-alt2.%release_tag.1
- Fixed unwanted xpm file writing limitation introduced in previous release.

* Mon Nov 15 2004 Dmitry V. Levin <ldv@altlinux.org> 1:3.4k-alt2.%release_tag}
- More fixes for potential integer overflows,
  patch from Thomas Biege and Matthieu Herrb.

* Wed Sep 01 2004 Dmitry V. Levin <ldv@altlinux.org> 1:3.4k-alt1
- Updated code to XFree86-4.3.
- Reviewed patches.
- Fixed linkage.
- Fixed few potential overflows (CAN-2004-0687, CAN-2004-0688),
  patch from Matthieu Herrb (OpenBSD).
- Do not build and package static library by default.

* Fri Sep 20 2002 Stanislav Ievlev <inger@altlinux.ru> 3.4k-ipl14mdk
- rebuild with gcc3

* Mon Mar 18 2002 Stanislav Ievlev <inger@altlinux.ru> 3.4k-ipl13mdk
- Rebuilt
- New devel-static package
- Light buildreq fixes

* Sat Dec 30 2000 Dmitry V. Levin <ldv@fandra.org> 3.4k-ipl12mdk
- Specfile cleanup.

* Mon Nov 28 2000 AEN <aen@logic.ru>
- gcc296 patch
- build for RE

* Thu Sep 05 2000 Francis Galiegue <fg@mandrakesoft.com> 3.4k-10mdk
- More macros
- Let spec-helper do its job...

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.4k-9mdk
- automatically added BuildRequires

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 3.4k-8mdk
- Release build.

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Increase release for compat with cassini.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with rh specs.
- 3.4k.

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- upgraded to 3.4j
- spec file cleanups
- added docs to the devel package

* Mon Jun 16 1997 Erik Troan <ewt@redhat.com>
- built against glibc
